MAXScript Language Reference > 3ds Max Objects > RenderEffect : MAXWrapper > Render Effect Types >

# Lighting_Analysis_Overlay : RenderEffect

    Lighting_Analysis_Overlay - superclass: renderEffect; super-superclass:MAXWrapper - 12:0 - classID: #(1508066200, -1360828798)

Value > MAXWrapper > RenderEffect > Lighting_Analysis_Overlay

| Atmospheric and Render Effects - Quick Navigation

The Lighting_Analysis_Overlay Render Effect allows the generation of lighting analysis data.

Note

This feature is exposed in 3ds Max Design only.

Scenes saved from 3ds Max Design will open and render correctly in 3ds Max, but you cannot construct class instances via MAXScript in 3ds Max.

3ds Max Design Constructors:

    Lighting_Analysis_Overlay ... LightingAnalysisOverlay ...

3ds Max Constructor:

    Class Instances not creatable in 3ds Max

Properties:

## Type and Range

    <Lighting_Analysis_Overlay>.quantity Integer default: 0 -- integer

Get/set the index of the Quantity drop-down list selection.

Possible values are:

0 - Illuminance

1 - Luminance

    <Lighting_Analysis_Overlay>.scaleType Integer default: 0 -- integer; scale

Get/set the index of the Scale drop-down list selection.

Possible values are:

0 - Linear

1 - Logarithmic

    <Lighting_Analysis_Overlay>.rangeStart Float default: 0.0 -- animatable; float; quantity_min

Get/set the Range's minimum value.

    <Lighting_Analysis_Overlay>.rangeEnd Float default: 100.0 -- animatable; float; quantity_max

Get/set the Range's maximum value.

## Display Options

    <Lighting_Analysis_Overlay>.shownumbers BooleanClass default: true -- boolean; show_numbers

Get/set the state of the "Show Numbers On Entire Image (Screen Grid)" option.

    <Lighting_Analysis_Overlay>.showhelper BooleanClass default: false -- boolean; show_numbers_from_helper_objects

Get/set the state of the "Show Numbers From Light Metering Helper Objects" option.

    <Lighting_Analysis_Overlay>.showcameraname BooleanClass default: true -- boolean; show_camera_name

Get/set the state of the "Show Camera Name" option. When set to true, the name of the view/camera will be included in theLighting Analysis Overlay.

    <Lighting_Analysis_Overlay>.showdaylightinfo BooleanClass default: true -- boolean; show_daylight_info

Get/set the state of the "Show Daylight Info" option.

    <Lighting_Analysis_Overlay>.fadeBackground BooleanClass default: true -- boolean; fade_background

Get/set the state of the "Fade Background Image" option.

## Screen Grid Layout Options

    <Lighting_Analysis_Overlay>.verticalspacing Integer default: 40 -- animatable; integer; Vertical_spacing

Get/set the Vertical Spacing value.

    <Lighting_Analysis_Overlay>.horizontalspacing Integer default: 40 -- animatable; integer; Horizontal_spacing

Get/set the Horizontal Spacing value.

## Statistics

    <Lighting_Analysis_Overlay>.largestValue Float default: 0.0 -- float

Get the Largest Displayed Value.

#### See Also

- Render Effect Types

- Render Effects Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods

- Lighting Analysis and DaylightSimulation Tools